Index: src/sas/sasgui/perspectives/fitting/__init__.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/__init__.py	(revision a7c4ad26032d5299d783fd0fb8ef5585d054c285)
+++ src/sas/sasgui/perspectives/fitting/__init__.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/batchfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision ee4b3cbc1850f87671526c54335834959ffdfe84)
+++ src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -200,8 +200,8 @@
 #         self.state.formfactorcombobox = self.formfactorbox.GetCurrentSelection()
 #       
-#         if self.model != None:
+#         if self.model is not None:
 #             self._set_copy_flag(True)
 #             self._set_paste_flag(True)
-#             if self.data != None:
+#             if self.data is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
@@ -225,5 +225,5 @@
 # 
 #             
-#         if event != None:
+#         if event is not None:
 #             ## post state to fit panel
 #             new_event = PageInfoEvent(page = self)
@@ -254,5 +254,5 @@
 #         is_modified = False
 # 
-#         if self.model != None:           
+#         if self.model is not None:
 #             ##Check the values
 #             self._check_value_enter( self.fittable_param)
@@ -291,5 +291,5 @@
 #         else:
 #             #self.btFit.Enable(True)
-#             if self._is_2D() and  self.data != None:
+#             if self._is_2D() and  self.data is not None:
 #                 self.btEditMask.Enable(True)
 # 
@@ -335,5 +335,5 @@
 #             self._set_save_flag(False)
 #         else:
-#             if self.model != None:
+#             if self.model is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
Index: src/sas/sasgui/perspectives/fitting/console.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/console.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/fitting/console.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/fit_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision aac161f1844b41bce09c87d7b6c7a3fc1f1f8712)
+++ src/sas/sasgui/perspectives/fitting/fit_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/fitproblem.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision fc18690cd84cc4dd6e33a9d344f47b08cef71290)
+++ src/sas/sasgui/perspectives/fitting/fitproblem.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -302,5 +302,5 @@
         Make new model
         """
-        if self.new_model_frame != None:
+        if self.new_model_frame is not None:
             self.new_model_frame.Show(False)
             self.new_model_frame.Show(True)
@@ -386,5 +386,5 @@
         help for setting list of the edit model menu labels
         """
-        if menu == None:
+        if menu is None:
             menu = self.edit_custom_model
         list_fnames = os.listdir(models.find_plugins_dir())
@@ -441,5 +441,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
-        if page != None:
+        if page is not None:
             return set_focus_page(page)
         if caption == "Const & Simul Fit":
@@ -634,5 +634,5 @@
             state = self.temp_state[self.state_index]
             #panel state should have model selection to set_state
-            if state.formfactorcombobox != None:
+            if state.formfactorcombobox is not None:
                 #set state
                 data = self.parent.create_gui_data(state.data)
@@ -1016,5 +1016,5 @@
                 return False
         ## If a thread is already started, stop it
-        #if self.calc_fit!= None and self.calc_fit.isrunning():
+        #if self.calc_fitis not None and self.calc_fit.isrunning():
         #    self.calc_fit.stop()
         msg = "Fitting is in progress..."
@@ -1106,5 +1106,5 @@
             page = self.fit_panel.add_empty_page()
             # add data associated to the page created
-            if page != None:
+            if page is not None:
                 evt = StatusEvent(status="Page Created", info="info")
                 wx.PostEvent(self.parent, evt)
@@ -1125,5 +1125,5 @@
         page = self.fit_panel.set_data(data)
         # page could be None when loading state files
-        if page == None:
+        if page is None:
             return page
         #append Data1D to the panel containing its theory
@@ -1193,5 +1193,5 @@
         """
         # case that uid is not specified
-        if uid == None:
+        if uid is None:
             for page_id in self.page_finder.keys():
                 self.page_finder[page_id].schedule_tofit(value)
@@ -1216,5 +1216,5 @@
             for item in param:
                 ## check if constraint
-                if item[0] != None and item[1] != None:
+                if item[0] is not None and item[1] is not None:
                     listOfConstraint.append((item[0], item[1]))
         new_model = model
@@ -1231,5 +1231,5 @@
         """
         panel = self.plot_panel
-        if panel == None:
+        if panel is None:
             raise ValueError, "Fitting:_onSelect: NonType panel"
         Plugin.on_perspective(self, event=event)
@@ -1335,5 +1335,5 @@
                 if not correct_result or res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or not \
+                        np.any(res.pvec is None) or not \
                         np.all(np.isfinite(res.pvec)):
                     data_name = str(None)
@@ -1457,5 +1457,5 @@
         cell.value = index
 
-        if theory_data != None:
+        if theory_data is not None:
             #Suucessful fit
             theory_data.id = wx.NewId()
@@ -1526,5 +1526,5 @@
                 if res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or \
+                        np.any(res.pvec is None) or \
                     not np.all(np.isfinite(res.pvec)):
                     fit_msg += "\nFitting did not converge!!!"
@@ -1544,5 +1544,5 @@
                     #(CallAfter is important to MAC)
                     try:
-                        #if res != None:
+                        #if res is not None:
                         wx.CallAfter(cpage.onsetValues, res.fitness,
                                      res.param_list,
@@ -1587,5 +1587,5 @@
         """
         event.Skip()
-        if self.menu1 == None:
+        if self.menu1 is None:
             return
         menu_item = self.menu1.FindItemById(self.id_reset_flag)
@@ -1646,5 +1646,5 @@
         caption = evt.caption
         enable_smearer = evt.enable_smearer
-        if model == None:
+        if model is None:
             return
         if uid not in self.page_finder.keys():
@@ -1698,5 +1698,5 @@
         new_plot.title = data.name
         new_plot.group_id = data.group_id
-        if new_plot.group_id == None:
+        if new_plot.group_id is None:
             new_plot.group_id = data.group_id
         new_plot.id = data_id
@@ -2002,13 +2002,13 @@
         chisqr = None
         #to compute chisq make sure data has valid data
-        # return None if data == None
-        if not check_data_validity(data_copy) or data_copy == None:
+        # return None if data is None
+        if not check_data_validity(data_copy) or data_copy is None:
             return chisqr
 
         # Get data: data I, theory I, and data dI in order
         if data_copy.__class__.__name__ == "Data2D":
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.err_data = weight
             # get rid of zero error points
@@ -2017,5 +2017,5 @@
             fn = data_copy.data[index]
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.data[index]
@@ -2023,9 +2023,9 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.dy = weight
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
@@ -2037,5 +2037,5 @@
 
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.y
@@ -2080,5 +2080,5 @@
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
             gn = theory_data.data
-            if weight == None:
+            if weight is None:
                 en = data_copy.err_data
             else:
@@ -2101,8 +2101,8 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
-                if weight == None:
+                if weight is None:
                     dy = np.ones(len(data_copy.y))
                 ## Set consitently w/AbstractFitengine:
@@ -2142,5 +2142,5 @@
         ##group_id specify on which panel to plot this data
         group_id = self.page_finder[page_id].get_graph_id()
-        if group_id == None:
+        if group_id is None:
             group_id = data.group_id
         new_plot.group_id = "res" + str(group_id)
Index: src/sas/sasgui/perspectives/fitting/fitting_widgets.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting_widgets.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/fitting/fitting_widgets.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/hint_fitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/hint_fitpage.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/fitting/hint_fitpage.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -53,8 +53,8 @@
         self.starttime = time.time()
         # Determine appropriate q range
-        if self.qmin == None:
+        if self.qmin is None:
             self.qmin = 0
-        if self.qmax == None:
-            if self.data != None:
+        if self.qmax is None:
+            if self.data is not None:
                 newx = math.pow(max(math.fabs(self.data.xmax),
                                    math.fabs(self.data.xmin)), 2)
Index: src/sas/sasgui/perspectives/fitting/pagestate.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/fitting/pagestate.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -39,5 +39,5 @@
         self.nimages = len(self.report_list[2])
 
-        if self.report_list[2] != None:
+        if self.report_list[2] is not None:
             # put image path in the report string
             if len(self.report_list[2]) == 1:
Index: src/sas/sasgui/perspectives/fitting/resultpanel.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/resultpanel.py	(revision 0c2c324cb17008483ca25ae2981edd9df2a173a0)
+++ src/sas/sasgui/perspectives/fitting/resultpanel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/simfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision a28e52b9c410d3decbcb38b19f8d0a07d656514a)
+++ src/sas/sasgui/perspectives/fitting/simfitpage.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
Index: src/sas/sasgui/perspectives/fitting/utils.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/utils.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/perspectives/fitting/utils.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
